package fr.natan.akkastreamfileprocessingapi.models

object Models {

  final case class Person(
                           nconst: String,
                           primaryName: String,
                           birthYear: String,
                           deathYear: String,
                           primaryProfession: List[String],
                           knownForTitles: List[String]
                         ) {
    override def toString: String = {
      "Person[person-ID:" + nconst +
        ", primary-name:" + primaryName +
        ", birth-year:" + birthYear +
        ", dearth year:" + deathYear +
        ", primary profession:" + primaryProfession +
      ", known-for-titles"+knownForTitles+
        "]"
    }
  }

  final case class TvSeries(
                             tconst: String,
                             titleType: String,
                             primaryTitle: String,
                             originalTitle: String,
                             startYear: String,
                             endYear: String,
                             runtimeMinutes: String,
                             genres: String
                           ) {

    override def toString: String = {
      "TvSerie[tvSerieID : " + tconst +
        ", title-type:" + titleType +
        ", primary-title:" + primaryTitle + "" +
        ", riginal-title:" + originalTitle +
        ", start year:" + startYear +
        ", end year:" + endYear +
        ", runtime minutes:" + runtimeMinutes +
        ", genres:" + genres + "]"
    }
  }

}
