package fr.natan.akkastreamfileprocessingapi.service

import fr.natan.akkastreamfileprocessingapi.models.Models.{Person, TvSeries}

import scala.concurrent.Future

//noinspection SpellCheckingInspection
trait AkkaStreamFileProcessing {
  def getPersonById(nconst: String): Future[Person]
  def getPersonByName(primaryName: String): Future[IndexedSeq[Person]]

  def getByTvSeriePrimaryTitle(tvSerieTitle: String):Future[Seq[TvSeries]]

  def getPersonsTeamForTvSerie(tvSeriePrimaryTitle: String): Future[List[Person]]
  def getAllTvSeries(): Unit
  def getAllPersons(): Unit
}
